
const app = getApp()
import {
    Base
} from '../../../utils/base.js';
const base = new Base()
Page({

	data: {
		activeIndex: 1,
		coach_id: '5',
		role_id: '2',
		detail: '',

		type: '1', // 1：收益 2：提现 3：预存储

		profitList: [], // 上课记录
		profitPage: 1,
		profitMore: true,
		profitLocked: false,

		withdrawList: [], // 提现
		withdrawPage: 1,
		withdrawMore: true,
		withdrawLocked: false,
	},


	onLoad: function (options) {
		this.getMoney()
		this.getList(1)
		this.getList(2)
	},
	changeTab(e) {
		let index = e.currentTarget.dataset.index
		if (this.data.activeIndex != index) {
			this.setData({
				activeIndex: index
			})
		}
	},

	getList(type) {
		let params = {
			url: 'commission/list',
			data: {
				role_id: this.data.role_id,
				wx_user_id: this.data.coach_id,
				type: type,
				pageSize: '15',
				page: this.data.profitPage
			},
			callback: (data) => {
				if (type == 1) {
					this.setData({
						profitList: this.data.profitList.concat(data.data.data),
						profitPage: data.data.current_page + 1,
						profitMore: data.hasMorePage,
						profitLocked: false
					})
					console.log(this.data.profitList)
				} else if (type == 2) {
					this.setData({
						withdrawList: this.data.withdrawList.concat(data.data.data),
						withdrawPage: data.data.current_page + 1,
						withdrawMore: data.hasMorePage,
						withdrawLocked: false
					})
				}
			}
		}
		base.newRequest(params)
	},

	getMoney() {
		let params = {
			url: 'commission',
			data: {
				wx_user_id: this.data.coach_id
			},
			callback: (data) => {
				this.setData({
					detail: data
				})
			}
		}
		base.newRequest(params)
	},

	onPullDownRefresh: function () {
		if (this.data.currentTabIndex==1) {
			this.init2()
		} else if (this.data.currentTabIndex==2) {
			this.init3()
		}
		wx.stopPullDownRefresh()
	},
	init2() {
		this.setData({
			profitList: [], // 收益列表
			profitPage: 1,
			profitMore: true,
			profitLocked: false
		})
		if (!this.data.profitLocked) {
			this.setData({
				profitLocked: true
			})
			this.getList(1)
		}
	},
	init3() {
		this.setData({
			withdrawList: [], // 提现
			withdrawPage: 1,
			withdrawMore: true,
			withdrawLocked: false
		})
		if (!this.data.withdrawLocked) {
			this.setData({
				withdrawLocked: true
			})
			this.getList(2)
		}
	},

	/**
	 * 页面上拉触底事件的处理函数
	 */
	onReachBottom: function () {
		if (!this.data.locked && this.data.hasMore) {
			this.setData({
				locked: true
			})
			this.getStudent()
		}
		if (!this.data.profitLocked && this.data.profitMore) {
			this.setData({
				profitLocked: true
			})
			this.getList(1)
		}
		if (!this.data.withdrawLocked && this.data.withdrawMore) {
			this.setData({
				withdrawLocked: true
			})
			this.getList(2)
		}
	},
	/**
	 * 用户点击右上角分享
	 */
	onShareAppMessage: function () {
		return {
			title: '3-12岁儿童家门口的体育课，新人立享超级优惠！',
			imageUrl: this.data.detail.course.img,
			path: '/pages/index/index?parent_id=' + this.data.user_id
		}
	},

	withdrawClick() { // 提现
		console.log(this.data.detail)
		console.log(this.data.detail && this.data.detail.unrealized_revenue <= 0)
		if (this.data.detail == '' || this.data.detail.unrealized_revenue <= 0) {
			base.toast('提现金额不能小于0')
			return
		}
		wx.showModal({
			title: '提示',
			content: '您确定要提现所有金额',
			success:(res)=>{
				if (res.confirm) {
					let params = {
						url: 'take_money',
						type: 'POST',
						data: {
							wx_user_id: this.data.coach_id,
							amount: this.data.detail.unrealized_revenue
						},
						callback:(data)=>{
							base.toast('您的提现申请已提交')
						}
					}
					base.newRequest(params)
				} else if (res.cancel) {
					console.log('取消')
				}
			}
		})
	}
})